get:
  tags:
    - APIs
  summary: Transactions
  description: API to inquiry deposit transactions by all transactions or reference
  parameters:
    - in: query
      name: reference1
      description: Reference1
      schema:
        type: string
      required: false
    - in: query
      name: reference2
      description: Reference2
      schema:
        type: string
      required: false
  security:
    - bearerAuth: []
  responses:
    "200":
      description: OK
      content:
        application/json:
          schema:
            $ref: ../components/schemas/payment-transactions-200.yaml
    "400":
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: ../components/schemas/400.yaml
    "401":
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: ../components/schemas/401.yaml
    "500":
      description: Server Error
      content:
        application/json:
          schema:
            $ref: ../components/schemas/500.yaml
